org.eclipse.jface.text

## Class DefaultAutoIndentStrategy

- java.lang.Object
- - org.eclipse.jface.text.DefaultIndentLineAutoEditStrategy
  - - org.eclipse.jface.text.DefaultAutoIndentStrategy

All Implemented Interfaces:
  IAutoEditStrategy, IAutoIndentStrategy

Deprecated.
since 3.1 use `DefaultIndentLineAutoEditStrategy` instead

    @Deprecated
    public class DefaultAutoIndentStrategy
    extends DefaultIndentLineAutoEditStrategy
    implements IAutoIndentStrategy

Default implementation of `IAutoIndentStrategy`. This strategy always copies the indentation of the previous line.

This class is not intended to be subclassed.

Restriction:
  This class is not intended to be subclassed by clients.

### Constructor Summary

Constructors
Constructor and Description
`DefaultAutoIndentStrategy()` Deprecated. Creates a new default auto indent strategy.

### Method Summary

### Methods inherited from class org.eclipse.jface.text.DefaultIndentLineAutoEditStrategy

`customizeDocumentCommand, findEndOfWhiteSpace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.text.IAutoEditStrategy

`customizeDocumentCommand`

### Constructor Detail

#### DefaultAutoIndentStrategy

    public DefaultAutoIndentStrategy()

Deprecated.
Creates a new default auto indent strategy.